package com.cnbm.basic.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import java.math.BigDecimal;


/**
 * 产品特性 历史表
 *
 * @author why
 * @since  2022-07-15
 */
@Data
@ApiModel(value = "产品特性 历史表DTO对象")
public class ProductFeaturesHisDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private BigDecimal id;

	@ApiModelProperty(value = "产品特性id,关联product_features表")
	private BigDecimal productFeaturesId;

	@ApiModelProperty(value = "产品id,关联product表")
	private BigDecimal productId;

	@ApiModelProperty(value = "产品特性 名")
	private String name;

	@ApiModelProperty(value = "产品特性 编码")
	private String code;

	@ApiModelProperty(value = "产品特性类型：1 计量型；2 计数型")
	private BigDecimal type;

	@ApiModelProperty(value = "缺陷等级：1 致命缺陷；2 严重缺陷；3.轻微缺陷")
	private BigDecimal defectLevel;

	@ApiModelProperty(value = "量具id，关联measure_tool表")
	private BigDecimal measureToolId;

	@ApiModelProperty(value = "单位 id，关联unit表")
	private BigDecimal unitId;

	@ApiModelProperty(value = "产品特性 规格")
	private String specifications;

	@ApiModelProperty(value = "检验参数  规格下线")
	private Float lsl;

	@ApiModelProperty(value = "检验参数  规格中心线")
	private Float sl;

	@ApiModelProperty(value = "检验参数  规格上线")
	private Float usl;

	@ApiModelProperty(value = "工序id，关联 working_procedure 表id")
	private BigDecimal workingProcedureId;

	@ApiModelProperty(value = "（如果为空就代表4个阶段都不是）检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验;;如果有多个用逗号隔开，比如 1,4 就代表选中了进货检验和出货检验")
	private BigDecimal inspectionStage;

	@ApiModelProperty(value = "是否需要spc分析，1 yes;0 no")
	private BigDecimal isSpc;

	@ApiModelProperty(value = "分析图形，关联control_graph表id")
	private BigDecimal controlGraphId;

	@ApiModelProperty(value = "样本大小，一般2-25之间。 会依据这个size 把所有待分析的数据 组成一个一个样本")
	private BigDecimal sampleSize;

	@ApiModelProperty(value = "采样频率，只用于展示")
	private String samplingFrequency;

	@ApiModelProperty(value = "小数位数（限制 检验参数小数点后面位数），这个先放着后续再说。")
	private BigDecimal decimalPlaces;

	@ApiModelProperty(value = "目标cpk")
	private Float targetCpk;

	@ApiModelProperty(value = "目标cpk")
	private Float targetPpk;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private BigDecimal valid;

	@ApiModelProperty(value = "创建人")
	private BigDecimal creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private BigDecimal updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private BigDecimal version;

}