package com.cnbm.basic.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import java.math.BigDecimal;


/**
 * 工序 表
 *
 * @author why
 * @since  2022-07-15
 */
@Data
@ApiModel(value = "工序 表DTO对象")
public class ProductWorkingprocedureRelationDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private BigDecimal id;

	@ApiModelProperty(value = "产品id,关联product表")
	private BigDecimal productId;

	@ApiModelProperty(value = "工序id,关联 working_procedure 表")
	private BigDecimal workingProcedureId;

	@ApiModelProperty(value = "顺序，工序是有先后顺序的。")
	private BigDecimal order;

	@ApiModelProperty(value = "检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验;;如果有多个用逗号隔开，比如 1,4 就代表选中了进货检验和出货检验")
	private BigDecimal inspectionStage;

	@ApiModelProperty(value = "1 可用，0 不可用")
	private BigDecimal status;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private BigDecimal valid;

	@ApiModelProperty(value = "创建人")
	private BigDecimal creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private BigDecimal updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private BigDecimal version;

}